package com.ruoyi.project.reliability.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.reliability.domain.TBamFinish;
import com.ruoyi.project.reliability.domain.TBamList;

/**
 * 结束的故障管理跟踪Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-21
 */
public interface TBamFinishMapper
{
    /**
     * 查询结束的故障管理跟踪
     *
     * @param id 结束的故障管理跟踪ID
     * @return 结束的故障管理跟踪
     */
    public TBamFinish selectTBamFinishById(Long id);

    /**
     * 查询结束的故障管理跟踪列表
     *
     * @param tBamFinish 结束的故障管理跟踪
     * @return 结束的故障管理跟踪集合
     */
    @DataScope(deptAlias = "d")
    public List<TBamFinish> selectTBamFinishList(TBamFinish tBamFinish);

    /**
     * 新增结束的故障管理跟踪
     *
     * @param tBamFinish 结束的故障管理跟踪
     * @return 结果
     */
    public int insertTBamFinish(TBamFinish tBamFinish);

    /**
     * 跟踪提交得结束的故障管理跟踪
     *
     * @param bamList 故障管理跟踪
     * @return 结果
     */
    public int insertTBamFinishFromList(TBamList bamList);

    /**
     * 修改结束的故障管理跟踪
     *
     * @param tBamFinish 结束的故障管理跟踪
     * @return 结果
     */
    public int updateTBamFinish(TBamFinish tBamFinish);

    /**
     * 删除结束的故障管理跟踪
     *
     * @param id 结束的故障管理跟踪ID
     * @return 结果
     */
    public int deleteTBamFinishById(Long id);

    /**
     * 批量删除结束的故障管理跟踪
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBamFinishByIds(Long[] ids);

    List<DataEntity> selectPriorityData(Map param);

    List<DataEntity> selectDisciplineData(Map param);

    DataEntity selectStepFinishData(Map param);

    DataEntity selectStepListData(Map param);

    DataEntity selectStepOriginalData(Map param);
}
